<?php

class wetter_page
{

    public function init()
    {
        $lang_id = $GLOBALS['TSFE']->sys_language_uid;
        switch ($lang_id) {
            case 1:
                $heute = 'Today';
                $morgen = 'Tomorrow';
                $in2 = 'in 2 days';
                $in3 = 'in 3 days';
                $updatetxt = 'Last update: ';
                $url = $_SERVER['DOCUMENT_ROOT'] . '/fileadmin/xml/wetter_en.xml';
                $update = date("d.m.y - H:i", filemtime('fileadmin/xml/wetter_en.xml'));
                break;
            default:
                $heute = 'Heute';
                $morgen = 'Morgen';
                $in2 = 'in 2 Tagen';
                $in3 = 'in 3 Tagen';
                $updatetxt = 'Letzte Aktualisierung: ';
                $url = $_SERVER['DOCUMENT_ROOT'] . '/fileadmin/xml/wetter_de.xml';
                $update = date("d.m.y - H:i", filemtime('fileadmin/xml/wetter_de.xml'));
                break;
        }

        $xml = simplexml_load_file($url);
        $data = $xml->STATION->INFO[2];

        $noetig = array('WTDailyWeatherToday', 'WTDailyTemperature', 'WTDailyWeatherTomorrow', 'WTDailyWeatherIn2Days', 'WTDailyWeatherIn3Days', 'WTDailyTemperatureTomorrow', 'WTDailyTemperatureIn2Days', 'WTDailyTemperatureIn3Days', 'WTDailyWeatherUrl');
        foreach ($noetig as $attr) {

            $test = $data->xpath("//ATTRIBUTE[@ID='$attr']");
            foreach ($test as $tes) {
                //print_r($tes);
                $value[$attr] = $tes->VALUE;
                $code[$attr] = $tes->CODE;
            }
        }

        $content = '<div class="updateinfo">' . $updatetxt . $update . '</div>';
        if($code['WTDailyWeatherToday']!='') {
            $content .= '<div class="wetter_item_wrap">
				<h2>' . $heute . '</h2>
				<div class="wetterimg">
					<img src="../../fileadmin/images/wetter/' . $code['WTDailyWeatherToday'] . '.png" alt="' . $value['WTDailyWeatherToday'] . '" title="' . $value['WTDailyWeatherToday'] . '">
				</div>
				<div class="wetter_rechts">
					<div class="info">' . $value['WTDailyWeatherToday'] . '</div>
					<div class="info">&Oslash; Temp: ' . $value['WTDailyTemperature'] . '°C</div>
				</div>
			</div>';
        }
        if($code['WTDailyWeatherTomorrow']!='') {
        $content .= '<div class="wetter_item_wrap">
				<h2>' . $morgen . '</h2>
				<div class="wetterimg">
					<img src="../../fileadmin/images/wetter/' . $code['WTDailyWeatherTomorrow'] . '.png" alt="' . $value['WTDailyWeatherTomorrow'] . '" title="' . $value['WTDailyWeatherTomorrow'] . '">
				</div>
				<div class="wetter_rechts">
					<div class="info">' . $value['WTDailyWeatherTomorrow'] . '</div>
					<div class="info">&Oslash; Temp: ' . $value['WTDailyTemperatureTomorrow'] . '°C</div>
				</div>
			</div>';
        }
        if($code['WTDailyWeatherIn2Days']!='') {
        $content .= '<div class="wetter_item_wrap">
				<h2>' . $in2 . '</h2>
				<div class="wetterimg">
					<img src="../../fileadmin/images/wetter/' . $code['WTDailyWeatherIn2Days'] . '.png" alt="' . $value['WTDailyWeatherIn2Days'] . '" title="' . $value['WTDailyWeatherIn2Days'] . '">
				</div>
				<div class="wetter_rechts">
					<div class="info">' . $value['WTDailyWeatherIn2Days'] . '</div>
					<div class="info">&Oslash; Temp: ' . $value['WTDailyTemperatureIn2Days'] . '°C</div>
				</div>
			</div>';
        }
        if($code['WTDailyWeatherIn3Days']!='') {
            $content .= '<div class="wetter_item_wrap">
				<h2>' . $in3 . '</h2>
				<div class="wetterimg">
					<img src="../../fileadmin/images/wetter/' . $code['WTDailyWeatherIn3Days'] . '.png" alt="' . $value['WTDailyWeatherIn3Days'] . '" title="' . $value['WTDailyWeatherIn3Days'] . '">
				</div>
				<div class="wetter_rechts">
					<div class="info">' . $value['WTDailyWeatherIn3Days'] . '</div>
					<div class="info">&Oslash; Temp: ' . $value['WTDailyTemperatureIn3Days'] . '°C</div>
				</div>
			</div>
			<!--div class="disclaimer"><a href="' . $value['WTDailyWeatherUrl'] . '" target="_blank" class="external-link-new-window">mehr details</a></div-->
			';
        }
        return $content;
    }
}

?>